GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::Coder Class Referenceabstract

Coder. More...

`#include <gdcmCoder.h>`

Inheritance diagram for gdcm::Coder:
[legend]

## Public Member Functions

virtual | ~Coder ()
virtual bool | CanCode (TransferSyntax const &) const =0
| Return whether this coder support this transfer syntax (can code it)
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.

## Protected Member Functions

virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)

## Detailed Description

Coder.

## Constructor & Destructor Documentation

virtual gdcm::Coder::~Coder | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual bool gdcm::Coder::CanCode | ( | TransferSyntax const & |  | ) | const

pure virtual

Return whether this coder support this transfer syntax (can code it)

Implemented in gdcm::JPEGCodec, gdcm::RLECodec, gdcm::PVRGCodec, gdcm::JPEG2000Codec, gdcm::JPEGLSCodec, gdcm::ImageCodec, gdcm::PNMCodec, gdcm::PGXCodec, gdcm::KAKADUCodec, gdcm::RAWCodec, gdcm::AudioCodec, and gdcm::PDFCodec.

virtual bool gdcm::Coder::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  |

inlinevirtual

Code.

Reimplemented in gdcm::JPEGCodec, gdcm::RLECodec, gdcm::JPEGLSCodec, gdcm::PVRGCodec, gdcm::JPEG2000Codec, gdcm::KAKADUCodec, and gdcm::RAWCodec.

virtual bool gdcm::Coder::InternalCode | ( | const char * | bv,
|  | unsigned long | len,
|  | std::ostream & | os
| ) |  |

inlineprotectedvirtual

Reimplemented in gdcm::JPEG12Codec, gdcm::JPEG16Codec, and gdcm::JPEG8Codec.

The documentation for this class was generated from the following file:

- gdcmCoder.h